### org.jfree.layouting.input.swing.converter

# Class CharacterConverter

- `java.lang.Object`
- - `org.jfree.layouting.input.swing.converter.CharacterConverter`

Implemented Interfaces:
  Converter

`public class CharacterConverter`
`extends java.lang.Object`
`implements Converter`

This class handles convertions of character style attributes to css style attributes.

  ## Field Summary

  `static String`

  `LINETHROUGH_TEXT_DECORATION`
    CSS text decoration value.

  `static String`

  `NONE_TEXT_DECORATION`
    CSS text decoration value.

  `static String`

  `RTF_CAPS`

  `static String`

  `RTF_DELETED`

  `static String`

  `RTF_Hidden`

  `static String`

  `RTF_OUTLINE`

  `static String`

  `RTF_SHADOW`

  `static String`

  `RTF_SMALLCAPS`

  `static String`

  `RTF_STRIKETRHOUGH`

  `static String`

  `TEXT_DECORATION_KEY`
    CSS text decoration key.

  `static String`

  `UNDERLINE_TEXT_DECORATION`
    CSS text decoration value.

  ## Constructor Summary

  `CharacterConverter()`

  ## Method Summary

  `ConverterAttributeSet`

  `convertToCSS(Object key, Object value, ConverterAttributeSet cssAttr, Element context)`
    Converts a style key and a style value to a CSS compatible style key and style value.

## Field Details

### LINETHROUGH_TEXT_DECORATION

    public static final String LINETHROUGH_TEXT_DECORATION

> CSS text decoration value.

### NONE_TEXT_DECORATION

    public static final String NONE_TEXT_DECORATION

> CSS text decoration value.

### RTF_CAPS

    public static final String RTF_CAPS

### RTF_DELETED

    public static final String RTF_DELETED

### RTF_Hidden

    public static final String RTF_Hidden

### RTF_OUTLINE

    public static final String RTF_OUTLINE

### RTF_SHADOW

    public static final String RTF_SHADOW

### RTF_SMALLCAPS

    public static final String RTF_SMALLCAPS

### RTF_STRIKETRHOUGH

    public static final String RTF_STRIKETRHOUGH

### TEXT_DECORATION_KEY

    public static final String TEXT_DECORATION_KEY

> CSS text decoration key.

### UNDERLINE_TEXT_DECORATION

    public static final String UNDERLINE_TEXT_DECORATION

> CSS text decoration value.

## Constructor Details

### CharacterConverter

    public CharacterConverter()

## Method Details

### convertToCSS

    public ConverterAttributeSet convertToCSS(Object key,
                                              Object value,
                                              ConverterAttributeSet cssAttr,
                                              Element context)

> Converts a style key and a style value to a CSS compatible style key and style value. A conversion can result in more than one key and value.
> Specified by:
>   convertToCSS in interface Converter
> Parameters:
>   `key` - The style key to convert.
>   `value` - The style value to convert.
>   `cssAttr` - The current converted CSS attributes for the current element.
>   `context` - The current Element.
> Returns:
>   The conversion result or null if no converstion has been done.